Eclipse Platform Release 3.7

## org.eclipse.compare
Interface IResourceProvider

All Known Implementing Classes:
  HistoryItem, ResourceNode

    public interface IResourceProvider

Since:
  3.1

Method Summary
`IResource` `getResource()` Returns the corresponding resource for this object or `null`.

Method Detail

### getResource

    IResource getResource()

  Returns the corresponding resource for this object or `null`.

  Returns:
    the corresponding resource or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.